# Class MarshalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.MarshalException

All Implemented Interfaces:
  `Serializable`

public class MarshalException extends RemoteException
A `MarshalException` is thrown if a `java.io.IOException` occurs while marshalling the remote call header, arguments or return value for a remote method call. A `MarshalException` is also thrown if the receiver does not support the protocol version of the sender.

If a `MarshalException` occurs during a remote method call, the call may or may not have reached the server. If the call did reach the server, parameters may have been deserialized. A call may not be retransmitted after a `MarshalException` and reliably preserve "at most once" call semantics.

Since:
  1.1
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class RemoteException

`detail`

## Constructor Summary

Constructors
Constructor
Description
`MarshalException(String s)`
Constructs a `MarshalException` with the specified detail message.
`MarshalException(String s, Exception ex)`
Constructs a `MarshalException` with the specified detail message and nested exception.

## Method Summary

### Methods declared in class RemoteException

`getCause, getMessage`

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MarshalException

public MarshalException(String s)
Constructs a `MarshalException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.1

### MarshalException

public MarshalException(String s, Exception ex)
Constructs a `MarshalException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  1.1